# This file created by conda-build 3.21.7
# ------------------------------------------------

package:
  name: numpy-base
  version: 1.21.2
source:
  patches:
    - patches/0001-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
    - patches/0002-intel_mkl-version.patch
    - patches/0003-intel_init_mkl.patch
    - patches/0004-disable-autorun-for-cmd-test.patch
    - patches/0005-array_coercion_fix.patch
    - patches/0006-popcnt_fix.patch
  sha256: 76af194fbc117934ec5bbe2ff15177adbd05aeed23f18ee209ed88edcd777e05
  url: https://github.com/numpy/numpy/releases/download/v1.21.2/numpy-1.21.2.tar.gz
build:
  entry_points:
    - f2py = numpy.f2py.f2py2e:main
  number: 0
  string: py310h0829f74_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2021.10.26 haa95532_2
    - certifi 2021.5.30 py310haa95532_0
    - cython 0.29.25 py310h604cdb4_0
    - intel-openmp 2021.4.0 haa95532_3556
    - libffi 3.4.2 h604cdb4_1
    - mkl 2021.4.0 haa95532_640
    - mkl-devel 2021.4.0 hb8b2395_640
    - mkl-include 2021.4.0 haa95532_640
    - openssl 1.1.1l h2bbff1b_0
    - pip 21.2.4 py310haa95532_0
    - python 3.10.0 h96c0403_3
    - setuptools 58.0.4 py310haa95532_0
    - sqlite 3.36.0 h2bbff1b_0
    - tk 8.6.11 h2bbff1b_0
    - tzdata 2021e hda174b7_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.0 pyhd3eb1b0_1
    - wincertstore 0.2 py310haa95532_2
    - xz 5.2.5 h62dcd97_0
    - zlib 1.2.11 h62dcd97_4
  run:
    - blas 1.0 mkl
    - mkl >=2021.4.0,<2022.0a0
    - mkl-service >=2.3.0,<3.0a0
    - python >=3.10,<3.11.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - IF NOT EXIST %SP_DIR%\numpy\distutils\site.cfg exit 1
about:
  description: 'NumPy is the fundamental package needed for scientific computing with
    Python.

    '
  dev_source_url: https://github.com/numpy/numpy/tree/master/doc
  dev_url: https://github.com/numpy/numpy
  doc_url: https://docs.scipy.org/doc/numpy/reference/
  home: http://numpy.scipy.org/
  license: BSD 3-Clause
  license_file: LICENSE.txt
  summary: Array processing for numbers, strings, records, and objects.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - rgommers
